=== debian/changelog ===
ros-melodic-global-planner (1.16.7-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 27 Aug 2020 04:00:00 -0000

ros-melodic-global-planner (1.16.6-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 18 Mar 2020 04:00:00 -0000

ros-melodic-global-planner (1.16.5-1bionic) bionic; urgency=high

  * [melodic] updated install for better portability. (#973 <https://github.com/ros-planning/navigation/issues/973>)
  * Contributors: Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 15 Mar 2020 04:00:00 -0000

ros-melodic-global-planner (1.16.4-1bionic) bionic; urgency=high

  * [Windows][melodic] Navigation (except for map_server and amcl) Windows build bring up (#851 <https://github.com/cobalt-robotics/navigation/issues/851>)
  * parameter for enabling outlineMap added (#926 <https://github.com/cobalt-robotics/navigation/issues/926>)
  * Contributors: Pavel Shumejko, Sean Yen

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Mar 2020 05:00:00 -0000

ros-melodic-global-planner (1.16.3-1bionic) bionic; urgency=high

  * Remove unused visualize_potential (#866 <https://github.com/ros-planning/navigation/issues/866>)
  * remove unused costmap_pub_frequency (#858 <https://github.com/ros-planning/navigation/issues/858>)
  * Fix #845 <https://github.com/ros-planning/navigation/issues/845> (#846 <https://github.com/ros-planning/navigation/issues/846>)
  * Merge pull request #831 <https://github.com/ros-planning/navigation/issues/831> from ros-planning/feature/remove_slashes
    [melodic] Remove leading slashes from default frame_id parameters
  * Remove leading slashes from default frame_id parameters
  * Contributors: David V. Lu, David V. Lu!!, Michael Ferguson, Stepan Kostusiev

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 15 Nov 2019 05:00:00 -0000

ros-melodic-global-planner (1.16.2-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Jul 2018 04:00:00 -0000

ros-melodic-global-planner (1.16.1-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 28 Jul 2018 04:00:00 -0000

ros-melodic-global-planner (1.16.0-1bionic) bionic; urgency=high

  * Switch to TF2 #755 <https://github.com/ros-planning/navigation/issues/755>
  * feat(orientation_filter): Added additional orientation filter options (#739 <https://github.com/ros-planning/navigation/issues/739>)
    * feat(orientation_filter): Added additional orientation filter options
    Enables plan references with different orientations for omni-base
    controllers. The following options are added:
    - Backward (backward path traversal, pose points to previous point)
    - Leftward (lateral path traversal in the positive y direction)
    - Rightward (lateral path traversal in the negative y direction)
    * Updated orientation filter option description
    * Added window size parameter to orientation filter
    Previously, the orientation was calculated using the current and the
    next point. However, when the path is somewhat jumpy, this results in
    poor orientations. By adding this parameter and altering the orientation
    calculation, the calculated orientation can be smoothened along the path
    by taking into account a larger window. The orientation of index point i
    will be calculated using the positions of i - window_size and i +
    window_size.
  * Contributors: Michael Ferguson, Rein Appeldoorn, Vincent Rabaud

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 Jul 2018 04:00:00 -0000

ros-melodic-global-planner (1.15.2-1bionic) bionic; urgency=high

  * Merge pull request #673 <https://github.com/ros-planning/navigation/issues/673> from ros-planning/email_update_lunar
    update maintainer email (lunar)
  * Merge pull request #649 <https://github.com/ros-planning/navigation/issues/649> from aaronhoy/lunar_add_ahoy
    Add myself as a maintainer.
  * Rebase PRs from Indigo/Kinetic (#637 <https://github.com/ros-planning/navigation/issues/637>)
    * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
    * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
    Omit the unnecessary call to getRobotPose when the start pose was
    already given, so that move_base can also generate a path in
    situations where getRobotPose would fail.
    This is actually to work around an issue of getRobotPose randomly
    failing.
    * Update gradient_path.cpp (#576 <https://github.com/ros-planning/navigation/issues/576>)
    * Update gradient_path.cpp
    * Update navfn.cpp
    * update to use non deprecated pluginlib macro (#630 <https://github.com/ros-planning/navigation/issues/630>)
    * update to use non deprecated pluginlib macro
    * multiline version as well
    * Print SDL error on IMG_Load failure in server_map (#631 <https://github.com/ros-planning/navigation/issues/631>)
  * Contributors: Aaron Hoy, David V. Lu!!, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 22 Mar 2018 04:00:00 -0000

ros-melodic-global-planner (1.15.1-1bionic) bionic; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 14 Aug 2017 04:00:00 -0000

ros-melodic-global-planner (1.15.0-1bionic) bionic; urgency=high

  * convert packages to format2
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Fix to increment 'cycle' in while loop (#546 <https://github.com/ros-planning/navigation/issues/546>)
  * Fix to check index value before accessing to element of potential array (#547 <https://github.com/ros-planning/navigation/issues/547>)
  * Set frame_id and stamp on Path message even if path is not found. (#533 <https://github.com/ros-planning/navigation/issues/533>)
  * Contributors: Junya Hayashi, Martin Günther, Mikael Arguedas

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 07 Aug 2017 04:00:00 -0000

ros-melodic-global-planner (1.14.0-1bionic) bionic; urgency=high




