=== debian/control ===
Source: ros-melodic-global-planner
Section: misc
Priority: optional
Maintainer: David V. Lu!! <davidvlu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-angles, ros-melodic-catkin, ros-melodic-costmap-2d, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-nav-core, ros-melodic-nav-msgs, ros-melodic-navfn, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros
Homepage: http://wiki.ros.org/global_planner
Standards-Version: 3.9.2

Package: ros-melodic-global-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-costmap-2d, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-nav-core, ros-melodic-nav-msgs, ros-melodic-navfn, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-tf2-ros
Description: A path planner library and node.
